INTEL_EXECLISTS_CTX_(9)

NAME
intel_execlists_ctx_id - get the Execlists Context ID

SYNOPSIS

u32 intel_execlists_ctx_id(struct drm_i915_gem_object * ctx_obj);

ARGUMENTS

ctx_obj
    Logical Ring Context backing object.

DESCRIPTION

Do not confuse with ctx->id! Unfortunately we have a name overload

HERE

the old context ID we pass to userspace as a handler so that they can refer to a context, and the new context ID we pass to the ELSP so that the GPU can inform us of the context status via interrupts.

RETURN

20-bits globally unique context ID.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT